# Poco::Net::SocketProactor

# struct Handler

Library: Net
Package: Sockets
Header: Poco/Net/SocketProactor.h

## Description

Handler struct holds the scheduled I/O. At the actual I/O, Buffer and SocketAddress are used appropriately, and deleted if owned. Callback is passed to the IOCompletion queue.

## Variables

### _onCompletion

Callback _onCompletion = nullptr;

### _owner

bool _owner = false;

### _pAddr

SocketAddress * _pAddr = nullptr;

### _pBuf

Buffer * _pBuf = nullptr;